//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/peon.h                                                   $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 6:53 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Eon and Peon
//

#ifndef __PEON_H__
#define __PEON_H__

#include "g_local.h"
#include "actor.h"

class Peon : public Actor
{
private:
	float gootime;

public:
	CLASS_PROTOTYPE( Peon );

	/*Peon::*/ Peon();
	virtual void      Prethink( void );
	virtual void        SpawnGoo( Event* ev );
	virtual void      Archive( Archiver& arc );
	virtual void      Unarchive( Archiver& arc );
};

inline void Peon::Archive( Archiver& arc )
{
	Actor::Archive( arc );

	arc.WriteFloat( gootime );
}

inline void Peon::Unarchive( Archiver& arc )
{
	Actor::Unarchive( arc );

	gootime = arc.ReadFloat();
}

#endif /* peon.h */
